# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Tue Nov 23 01:53:14 2021
# ------------------------------------------------

package:
  name: r-qgam
  version: 1.3.4
source:
  sha256: 7633120a48a85ab73f7e1bc8b02c98319285c2abd05f9d13d25339d7aaaacacb
  url:
    - https://cran.r-project.org/src/contrib/Archive/qgam/qgam_1.3.4.tar.gz
    - https://cran.r-project.org/src/contrib/qgam_1.3.4.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r41h6d2157b_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2021.4.0 h57928b3_3556
    - libblas 3.9.0 12_win64_mkl
    - liblapack 3.9.0 12_win64_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2021.4.0 h0e2418a_729
    - msys2-conda-epoch 20160418 1
    - r-base 4.1.1 hddad469_1
    - r-base64enc 0.1_3 r41h6d2157b_1004
    - r-bslib 0.3.1 r41hc72bb7e_0
    - r-cachem 1.0.6 r41h6d2157b_0
    - r-codetools 0.2_18 r41hc72bb7e_0
    - r-commonmark 1.7 r41h6d2157b_1002
    - r-crayon 1.4.2 r41hc72bb7e_0
    - r-digest 0.6.28 r41ha856d6a_0
    - r-doparallel 1.0.16 r41hc72bb7e_0
    - r-ellipsis 0.3.2 r41h6d2157b_0
    - r-fastmap 1.1.0 r41ha856d6a_0
    - r-fontawesome 0.2.2 r41hc72bb7e_0
    - r-foreach 1.5.1 r41hc72bb7e_0
    - r-fs 1.5.0 r41ha856d6a_0
    - r-glue 1.5.0 r41h6d2157b_0
    - r-htmltools 0.5.2 r41ha856d6a_0
    - r-httpuv 1.6.3 r41ha856d6a_0
    - r-iterators 1.0.13 r41hc72bb7e_0
    - r-jquerylib 0.1.4 r41hc72bb7e_0
    - r-jsonlite 1.7.2 r41h6d2157b_0
    - r-later 1.2.0 r41ha856d6a_0
    - r-lattice 0.20_45 r41h6d2157b_0
    - r-lifecycle 1.0.1 r41hc72bb7e_0
    - r-magrittr 2.0.1 r41h6d2157b_1
    - r-matrix 1.3_4 r41hd2e18ed_0
    - r-mgcv 1.8_38 r41hd2e18ed_0
    - r-mime 0.12 r41h6d2157b_0
    - r-nlme 3.1_153 r41he816bda_0
    - r-plyr 1.8.6 r41ha856d6a_1
    - r-promises 1.2.0.1 r41ha856d6a_0
    - r-r6 2.5.1 r41hc72bb7e_0
    - r-rappdirs 0.3.3 r41h6d2157b_0
    - r-rcpp 1.0.7 r41ha856d6a_0
    - r-rlang 0.4.12 r41h6d2157b_0
    - r-sass 0.4.0 r41ha856d6a_0
    - r-shiny 1.7.1 r41h785f33e_0
    - r-sourcetools 0.1.7 r41hfa435f1_1002
    - r-withr 2.4.2 r41hc72bb7e_0
    - r-xtable 1.8_4 r41hc72bb7e_3
    - tbb 2021.4.0 h2d74725_1
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
  run:
    - m2w64-gcc-libs
    - r-base >=4.1,<4.2.0a0
    - r-doparallel
    - r-mgcv >=1.8_28
    - r-plyr
    - r-shiny
test:
  commands:
    - '"%R%" -e "library(''qgam'')"'
about:
  home: https://CRAN.R-project.org/package=qgam
  license: GPL-2.0-or-later
  license_family: GPL2
  license_file:
    - D:\bld\r-qgam_1637632823819\_h_env/lib/R/share/licenses/GPL-2
  summary: Smooth additive quantile regression models, fitted using the methods of
    Fasiolo et al. (2017) <arXiv:1707.03307>. Differently from 'quantreg', the smoothing
    parameters are estimated automatically by marginal loss minimization, while the
    regression coefficients are estimated using either PIRLS or Newton algorithm.
    The learning rate is determined so that the Bayesian credible intervals of the
    estimated effects have approximately the correct coverage. The main function is
    qgam() which is similar to gam() in 'mgcv', but fits non-parametric quantile regression
    models.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - brendanf
    - conda-forge/r
